.mainImg {
  width: 100%;
  height: 50vh;
  opacity: 1;
  display: block;
  object-fit: cover;
  border-radius: 4px;
  transition: opacity 1s;
}

.smallImgContainer {
  cursor: pointer;
  overflow: hidden;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  transform: translate3d(0, 0, 0);
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  /* display: inline-block; */
  margin: 8px 8px 0 0;
  border-radius: 4px;
  width: calc(25% - 6px);
}

.smallImgContainer:nth-child(4n + 1) {
  margin: 8px 0 0 0;
}

.smallImg {
  width: 100%;
  height: 15vh;
  opacity: 1;
  object-fit: cover;
  transform: scale(1);
  filter: grayscale(100%);
  transition: filter 0.5s, transform 0.5s, opacity 1s;
}

.smallImg:hover {
  filter: grayscale(0%);
  transform: scale(1.05);
}

.hide{
  opacity: 0;
}

.galleryContainer{
  display: flex;
  flex-wrap: wrap;
}